List all application revisions
curl --request GET \
--url https://api.blaxel.ai/v0/applications/{applicationName}/revisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/applications/{applicationName}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/applications/{applicationName}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"image": "<string>",
"createdAt": "<string>",
"createdBy": "<string>",
"envs": [
{
"name": "MY_ENV_VAR",
"secret": true,
"value": "my-value"
}
],
"id": "<string>",
"memory": 2048,
"port": 8080,
"snapshot": "<string>"
}
]applications
List all application revisions
GET
/
applications
/
{applicationName}
/
revisions
List all application revisions
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Name of the application
Response
200 - application/json
successful operation
Container image for this revision (mandatory)
When this revision was created
Who created this revision
Environment variables for this revision
Show child attributes
Show child attributes
Unique revision identifier
Memory allocation in megabytes. Determines CPU allocation (CPU = memory / 2048).
Example:
2048
Port the application listens on for this revision (default uses spec-level port or 8080)
Example:
8080
Snapshot ID this revision was forked from (optional, only set when created via fork)
Last modified on September 3, 2026
Was this page helpful?
